<?php
	
	if (wp_iTunesSpy_is_wp_16() != true) {
		$div_attributes = 'class="updated"';
	} else {
		$div_attributes = 'id="message" class="updated fade"';
	}
	switch($_GET['action']) {
		case 'savesettings':
			printf('<div ' . $div_attributes . '><p><strong>%s</strong></p></div>', wp_iTunesSpy_savesettings());
			break;
		case 'check_for_updates':
			printf('<div ' . $div_attributes . '><p>%s</p></div>', wp_iTunesSpy_check_for_updates());
			break;
		default:
			break;
	}
	
	// ------------------------------------------------
	
	function wp_iTunesSpy_savesettings(){
		global $its_folder, $its_pages_folder, $its_version, $user_level, $_GET, $_POST;
		
		$result = __('Options saved.', 'wp-itunesspy');
		
		if ( isset($_POST['use_itunesspy']) ) {
			$use_itunesspy = $_POST['use_itunesspy'];
		} else {
			$use_itunesspy = '0';
		}
		update_option('use_itunesspy', $use_itunesspy);
		
		if ( isset($_POST['itunesspy_authcode']) ) {
			$itunesspy_authcode = $_POST['itunesspy_authcode'];
			update_option('itunesspy_authcode', $itunesspy_authcode);
			if ($itunesspy_authcode == "") {
				$result .= '<br />' . __('Please specify a valid Authorization Key!', 'wp-itunesspy');
			}
		}
		if ( isset($_POST['itunesspy_amazonkey']) ) {
			$itunesspy_amazonkey = $_POST['itunesspy_amazonkey'];
			update_option('itunesspy_amazonkey', $itunesspy_amazonkey);
			if ($itunesspy_amazonkey == "") {
				$result .= '<br />' . __('Please specify a valid Amazon Developer\'s Token in order to get the album art for the tracks!', 'wp-itunesspy');
			}
		}
		if ( isset($_POST['itunesspy_amazonfeedlocale']) ) {
			$itunesspy_amazonfeedlocale = $_POST['itunesspy_amazonfeedlocale'];
			update_option('itunesspy_amazonfeedlocale', $itunesspy_amazonfeedlocale);
		}
		if ( isset($_POST['itunesspy_amazonalbumfix']) ) {
			$itunesspy_amazonalbumfix = $_POST['itunesspy_amazonalbumfix'];
			update_option('itunesspy_amazonalbumfix', $itunesspy_amazonalbumfix);
		}
		if ( isset($_POST['itunesspy_amazonpartnerid']) ) {
			$itunesspy_amazonpartnerid = $_POST['itunesspy_amazonpartnerid'];
			update_option('itunesspy_amazonpartnerid', $itunesspy_amazonpartnerid);
		}
		if ( isset($_POST['itunesspy_input_mode']) ) {
			$itunesspy_input_mode = $_POST['itunesspy_input_mode'];
			update_option('itunesspy_input_mode', $itunesspy_input_mode);
		}
		if ( isset($_POST['itunesspy_input_option']) ) {
			$itunesspy_input_option = $_POST['itunesspy_input_option'];
			update_option('itunesspy_input_option', $itunesspy_input_option);
		}
		if ( isset($_POST['itunesspy_maxtracks']) ) {
			$itunesspy_maxtracks = $_POST['itunesspy_maxtracks'];
			update_option('itunesspy_maxtracks', $itunesspy_maxtracks);
		}		
		if ( isset($_POST['itunesspy_autoupdate']) ) {
			$itunesspy_autoupdate = $_POST['itunesspy_autoupdate'];
		} else {
			$itunesspy_autoupdate = '0';
		}
		update_option('itunesspy_autoupdate', $itunesspy_autoupdate);
		
		return $result;
	}
	
	function wp_iTunesSpy_check_for_updates () {
		global $its_folder, $its_pages_folder, $its_version, $user_level, $_GET, $_POST, $wp_version;
		
		$response = wp_iTunesSpy_gateway('Request Update Ping');
		
		if ($response) {
			list($version, $url) = split(' ', $response);
			
			if ($version == $its_version) {
				$return = __("iTunesSpy is <strong>up to date</strong>. You have version %currversion, and the latest version is %version.", 'wp-itunesspy');
				$return = str_replace ("%currversion", $its_version, $return);
				$return = str_replace ("%version", $version, $return);
			} elseif ($_version < $its_version) {
				$return = __("iTunesSpy is <strong>newer</strong> than the latest released version! You have version %currversion, and the latest version is %version.", 'wp-itunesspy');
				$return = str_replace ("%currversion", $its_version, $return);
				$return = str_replace ("%version", $version, $return);
			} else {
				$return = __("A <strong>new version</strong> of iTunesSpy is available. You have version %currversion, and the latest version is %version. You can download it <a href=\"%download\">here</a>.", 'wp-itunesspy');
				$return = str_replace ("%currversion", $its_version, $return);
				$return = str_replace ("%version", $version, $return);
				$return = str_replace ("%download", $url, $return);
			}
		} else {
			$return = __('Could not connect to update server. Please try again later.', 'wp-itunesspy');
		}
		return $return;
	}
	
	// ------------------------------------------------
?>
<div class="wrap">
  <h2><?php _e('iTunesSpy Options', 'wp-itunesspy') ?></h2>
    <form name="itsoptions" method="post" action="<? echo add_query_arg('action', 'savesettings', $_SERVER['REQUEST_URI']); ?>">
    	<fieldset class="options">
    		<legend>
    			<input name="use_itunesspy" type="checkbox" id="use_itunesspy" value="1" <?php checked('1', get_option('use_itunesspy')); ?> />
				<label for="use_itunesspy">
					<?php _e('Use iTunesSpy', 'wp-itunesspy') ?>
				</label>
    		</legend>
			<table width="100%" cellspacing="2" cellpadding="5" class="editform">
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Authorization Key:', 'wp-itunesspy') ?>
				</th>
				<td><input name="itunesspy_authcode" type="text" id="itunesspy_authcode" value="<?php form_option('itunesspy_authcode'); ?>" size="50" />
				  <br />
				  <?php printf(__('The same key that is used in the application that inserts the songs from iTunes.', 'wp-itunesspy'), '') ?> </td>
			  </tr>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Amazon Developer\'s Token:', 'wp-itunesspy') ?>
				</th>
				<td><input name="itunesspy_amazonkey" type="text" id="itunesspy_amazonkey" value="<?php form_option('itunesspy_amazonkey'); ?>" size="50" />
				  <br />
				  <?php printf(__('Used to gain access to the Amazon.com XML feed to get the album art. You will need this to be able to get album art. You can get it at: <code>%s</code>', 'wp-itunesspy'), '<a href="http://www.amazon.com/webservices/">http://www.amazon.com/webservices/</a>') ?> </td>
			  </tr>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Amazon XML feed localization:', 'wp-itunesspy') ?>
				</th>
				<td>
					<label>
						<input name="itunesspy_amazonfeedlocale" type="radio" value="us" <?php checked('us', get_option('itunesspy_amazonfeedlocale')); ?> />
						<?php _e('USA', 'wp-itunesspy') ?>
					</label>
					<br />
					<label>
						<input name="itunesspy_amazonfeedlocale" type="radio" value="jp" <?php checked('jp', get_option('itunesspy_amazonfeedlocale')); ?> />
						<?php _e('Japan', 'wp-itunesspy') ?>
					</label>
					<br />
					<label>
						<input name="itunesspy_amazonfeedlocale" type="radio" value="de" <?php checked('de', get_option('itunesspy_amazonfeedlocale')); ?> />
						<?php _e('Germany', 'wp-itunesspy') ?>
					</label>
					<br />
					<label>
						<input name="itunesspy_amazonfeedlocale" type="radio" value="fr" <?php checked('fr', get_option('itunesspy_amazonfeedlocale')); ?> />
						<?php _e('France', 'wp-itunesspy') ?>
					</label>
					<br />
					<label>
						<input name="itunesspy_amazonfeedlocale" type="radio" value="uk" <?php checked('uk', get_option('itunesspy_amazonfeedlocale')); ?> />
						<?php _e('United Kingdom', 'wp-itunesspy') ?>
					</label>
					<br />
					<label>
						<input name="itunesspy_amazonfeedlocale" type="radio" value="ca" <?php checked('ca', get_option('itunesspy_amazonfeedlocale')); ?> />
						<?php _e('Canada', 'wp-itunesspy') ?>
					</label>
					<br />
				  	<?php printf(__('Specifies the amazon store the infos are taken from.', 'wp-itunesspy'), '') ?>
				</td>
			  </tr>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Amazon album art fix:', 'wp-itunesspy') ?>
				</th>
				<td>
					<label>
						<input name="itunesspy_amazonalbumfix" type="radio" value="true" <?php checked('true', get_option('itunesspy_amazonalbumfix')); ?> />
						<?php _e('True', 'wp-itunesspy') ?>
					</label>
					<br />
					<label>
						<input name="itunesspy_amazonalbumfix" type="radio" value="false" <?php checked('false', get_option('itunesspy_amazonalbumfix')); ?> />
						<?php _e('False', 'wp-itunesspy') ?>
					</label>
					<br />
				  	<?php printf(__('Specifies if the album-art-search searches only for title and artist.', 'wp-itunesspy'), '') ?>
				</td>
			  </tr>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Amazon associates ID:', 'wp-itunesspy') ?>
				</th>
				<td><input name="itunesspy_amazonpartnerid" type="text" id="itunesspy_amazonpartnerid" value="<?php form_option('itunesspy_amazonpartnerid'); ?>" size="50" />
				  <br />
				  <?php printf(__('Optional if you are in the amazon associates program. Used to get the links to the amazon products with your associates id. You can get it at: <code>%s</code>', 'wp-itunesspy'), '<a href="http://associates.amazon.com/">http://associates.amazon.com/</a>') ?> </td>
			  </tr>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Input mode:', 'wp-itunesspy') ?>
				</th>
				<td>
					<label>
						<input name="itunesspy_input_mode" type="radio" value="get" <?php checked('get', get_settings('itunesspy_input_mode')); ?> />
						<?php _e('Use HTTP GET to get the data into iTunesSpy', 'wp-itunesspy') ?>
					</label>
					<br />
					<label>
						<input name="itunesspy_input_mode" type="radio" value="post" <?php checked('post', get_settings('itunesspy_input_mode')); ?> />
						<?php _e('Use HTTP POST to get the data into iTunesSpy', 'wp-itunesspy') ?>
					</label>
				</td>
			  </tr>
<?php
	if (curl_activated() == true) {
?>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Input options:', 'wp-itunesspy') ?>
				</th>
				<td>
					<label>
						<input name="itunesspy_input_option" type="radio" value="fopen" <?php checked('fopen', get_settings('itunesspy_input_option')); ?> />
						<?php _e('Use the normal fopen()-function to get the amazon data', 'wp-itunesspy') ?>
					</label>
					<br />
					<label>
						<input name="itunesspy_input_option" type="radio" value="curl" <?php checked('curl', get_settings('itunesspy_input_option')); ?> />
						<?php _e('Use the cUrl-Library to get the amazon data', 'wp-itunesspy') ?>
					</label>
				</td>
			  </tr>		
<?php
	}
?>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Max. number of tracks:', 'wp-itunesspy') ?>
				</th>
				<td><input name="itunesspy_maxtracks" type="text" id="itunesspy_maxtracks" value="<?php form_option('itunesspy_maxtracks'); ?>" size="3" maxlength="3" />
				  <?php 
				  	$tracks_max = get_option('itunesspy_maxtracks');
					if ($tracks_max > 0) {
						$return = __('Limitation <strong>is</strong> working', 'wp-itunesspy');
					} else {
						$return = __('Limitation <strong>isn\'t</strong> working', 'wp-itunesspy');
					}
					echo ' ' . $return;
				  ?>
				  <br />
				  <?php printf(__('Specifies the max. allowed tracks in the database. If the limit is exceeded the <strong>oldest tracks will be deleted</strong>. Type \'0\' for no limit control!<br />If there are too many tracks the performance of iTunesSpy will be very bad.', 'wp-itunesspy'), '') ?> </td>
			  </tr>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Autoupdate:', 'wp-itunesspy') ?>
				</th>
				<td>
					<input name="itunesspy_autoupdate" type="checkbox" id="itunesspy_autoupdate" value="1" <?php checked('1', get_option('itunesspy_autoupdate')); ?> />
					<label for="itunesspy_autoupdate">
						<?php _e('Automatically search for updates', 'wp-itunesspy') ?>
					</label>
				</td>
			  </tr>
<?php if (get_option('use_itunesspy') == '1') { ?>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Link to covers page:', 'wp-itunesspy') ?>
				</th>
				<?php $covers_link = get_option('home') . "/?itunesspy=pages&itunesspy_page=covers.php" ?>
				<td><a href="<?= $covers_link ?>"><?= $covers_link ?></a></td>
			  </tr>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Link to debug page:', 'wp-itunesspy') ?>
				</th>
				<?php $debug_link = get_option('home') . "/?itunesspy=debug" ?>
				<td><a href="<?= $debug_link ?>"><?= $debug_link ?></a></td>
			  </tr>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Link to input-test page:', 'wp-itunesspy') ?>
				</th>
				<?php $insert_test_link = get_option('home') . "/?itunesspy=pages&itunesspy_page=input-test.php" ?>
				<td><a href="<?= $insert_test_link ?>"><?= $insert_test_link ?></a></td>
			  </tr>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Link to amazon-test page:', 'wp-itunesspy') ?>
				</th>
				<?php $amazon_test_link = get_option('home') . "/?itunesspy=pages&itunesspy_page=amazon-test.php" ?>
				<td><a href="<?= $amazon_test_link ?>"><?= $amazon_test_link ?></a></td>
			  </tr>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Link to display-test page:', 'wp-itunesspy') ?>
				</th>
				<?php $display_test_link = get_option('home') . "/?itunesspy=pages&itunesspy_page=display-test.php" ?>
				<td><a href="<?= $display_test_link ?>"><?= $display_test_link ?></a></td>
			  </tr>
			  <tr>
				<th width="33%" valign="top" scope="row"><?php _e('Link to most played tracks-test page:', 'wp-itunesspy') ?>
				</th>
				<?php $mostplayed_test_link = get_option('home') . "/?itunesspy=pages&itunesspy_page=mostplayed-test.php" ?>
				<td><a href="<?= $mostplayed_test_link ?>"><?= $mostplayed_test_link ?></a></td>
			  </tr>
<?php } ?>
			</table>
			<p class="submit">
			  <input type="submit" name="Submit" value="<?php _e('Update Options', 'wp-itunesspy') ?> &raquo;" />
			</p>
    	</fieldset>
    </form>	
    <form name="itsupdates" method="post" action="<? echo add_query_arg('action', 'check_for_updates', $_SERVER['REQUEST_URI']); ?>">
    	<fieldset class="options">
    	<legend>
	  		<label>
				<?php _e('iTunesSpy Updates', 'wp-itunesspy') ?>
	  		</label>
    	</legend>
		<?php _e('Your current version is:', 'wp-itunesspy') ?> &quot;<strong><?= $its_version; ?></strong>&quot;
		<p class="submit">
      		<input type="submit" name="Submit" value="<?php _e('Check for updates', 'wp-itunesspy') ?> &raquo;" />
    	</p>
    	</fieldset>
    </form>
</div>