<?php
/*
Plugin Name: iTunesSpy SidebarWidget
Plugin URI: http://www.crea-doo.at/itunesspy/
Description: Makes the iTunesSpy functionality available as a SidebarWidget
Version: 1.0
Author: crea-doo.at
Author URI: http://www.crea-doo.at/
*/

/*  Copyright 2005-2006 crea-doo.at (email: itunesspy@crea-doo.at)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Put functions into one big function we'll call at the plugins_loaded
// action. This ensures that all required plugin functions are defined.
function widget_itunesspy_init() {

	// Check for the required plugin functions. This will prevent fatal
	// errors occurring when you deactivate the dynamic-sidebar plugin.
	if ( !function_exists('register_sidebar_widget') )
		return;

	// This is the function that outputs our little Google search form.
	function widget_itunesspy($args) {
		
		// $args is an array of strings that help widgets to conform to
		// the active theme: before_widget, before_title, after_widget,
		// and after_title are the array keys. Default tags: li and h2.
		extract($args);

		// Each widget can store its own options. We keep strings here.
		$options = get_option('widget_itunesspy');
		$title = $options['title'];

		// These lines generate our output. Widgets can be very complex
		// but as you can see here, they can also be very, very simple.
		echo $before_widget . $before_title . $title . $after_title;
		
		include(ABSPATH . 'wp-content/plugins/wp-itunesspy/wp-itunesspySidebarWidgetContents.php');
		echo '<div style="margin-top:5px;">' . wp_iTunesSpy_SidebarWidget_Contents() . '</div>';
		
		echo $after_widget;
	}

	// This is the function that outputs the form to let the users edit
	// the widget's title. It's an optional feature that users cry for.
	function widget_itunesspy_control() {

		// Get our options and see if we're handling a form submission.
		$options = get_option('widget_itunesspy');
		if ( !is_array($options) )
			$options = array('title'=>'');
		if ( $_POST['itunesspy-submit'] ) {

			// Remember to sanitize and format use input appropriately.
			$options['title'] = strip_tags(stripslashes($_POST['itunesspy-title']));
			update_option('widget_itunesspy', $options);
		}

		// Be sure you format your options to be valid HTML attributes.
		$title = htmlspecialchars($options['title'], ENT_QUOTES);
		
		// Here is our little form segment. Notice that we don't need a
		// complete form. This will be embedded into the existing form.
		echo '<p style="text-align:right;"><label for="itunesspy-title">Title: <input style="width: 200px;" id="itunesspy-title" name="itunesspy-title" type="text" value="'.$title.'" /></label></p>';
		echo '<input type="hidden" id="itunesspy-submit" name="itunesspy-submit" value="1" />';
	}
	
	// This registers our widget so it appears with the other available
	// widgets and can be dragged and dropped into any active sidebars.
	register_sidebar_widget('iTunesSpy', 'widget_itunesspy');

	// This registers our optional widget control form. Because of this
	// our widget will have a button that reveals a 300x100 pixel form.
	register_widget_control('iTunesSpy', 'widget_itunesspy_control'); //, 300, 100);
}

// Run our code later in case this loads prior to any required plugins.
add_action('plugins_loaded', 'widget_itunesspy_init');

?>