<?php
// ------------------------------------------------
if (! function_exists('wp_iTunesSpy_check_updates_css')) {
	function wp_iTunesSpy_check_updates_css() {	
		global $user_level;
		
		if ($user_level > 7) {
			if (get_option('itunesspy_autoupdate') == '1') {
				wp_iTunesSpy_output_css();
			}
		}
	}
}

if (! function_exists('wp_iTunesSpy_check_updates_text')) {
	function wp_iTunesSpy_check_updates_text() {	
		global $user_level;
		
		if ($user_level > 7) {
			if (get_option('itunesspy_autoupdate') == '1') {
				wp_iTunesSpy_output_text();
			}
		}
	}
}
// ------------------------------------------------

if (! function_exists('wp_iTunesSpy_is_tiger_admin')) {
	function wp_iTunesSpy_is_tiger_admin()
	{
		global $current_plugins;
		if (!empty($current_plugins) &&
		   (in_array("wp-admin-tiger/wp-admin-tiger.php", $current_plugins) || 
		   (in_array("wp-admin-tiger.php", $current_plugins))))
			return true;
		else	
			return false;
	}
}

if (! function_exists('wp_iTunesSpy_output_text')) {
	function wp_iTunesSpy_output_text() {
		$code = '';
		$code .= "<p id='iTunesSpy_update' class='";
		$code .= 'info';
		$code .= "'>";
		$code .= wp_iTunesSpy_get_update_info();
		$code .= "</p>\n";
		
		echo $code;
	}
}
	
if (! function_exists('wp_iTunesSpy_output_css')) {
	function wp_iTunesSpy_output_css() {
		if (wp_iTunesSpy_is_tiger_admin())
		{
			echo "<style type='text/css'>";
			global $wp_db_version;
			if(0 == $wp_db_version) {
				echo "#iTunesSpy_update { font-size: .8em; position: absolute; top: 15px; margin: 0; padding: 0; right: 1.5em;}";
			} else {
				echo "#iTunesSpy_update { font-size: .8em; position: absolute; top: 2.5em; right: 1em; }";
			}
			echo "
			.warning { color: orange; }
			.critical { color: red; }
			.info { color: #999999; }
			</style>
			";
            echo "<style type='text/css'>
            #motivational, #dolly {  /* overrides those plugins' defaults */
            font-size: .8em;
            color: #222222;
            top: 1px;
            right: auto;
            left: 10px;
            }
            </style>
            ";

		} else {
			echo "
    			<style type='text/css'>
	    			#iTunesSpy_update { position: fixed; bottom: 3px; z-index: 101; margin: 0; padding: 0; left: 15px; font-size: x-small;}
					.warning { color: orange; }
					.critical { color: red; }
					.info { color: #aaa; }
				</style>
			";
            echo "
              <style type='text/css'>
                #motivational, #dolly {  /* overrides those plugins' defaults */
                position: fixed;
                bottom: 20px; /* this probably needs adjusting! */
                font-size: x-small;
                color: #222222;
                top-auto;
                right: auto;
                left: 10px;
                }
              </style>
            ";
		}

	}
}

// ------------------------------------------------

if (! function_exists('wp_iTunesSpy_get_update_info')) {
	function wp_iTunesSpy_get_update_info () {
		global $its_folder, $its_pages_folder, $its_version, $user_level, $_GET, $_POST, $wp_version;
		
		$response = wp_iTunesSpy_gateway('Request Update Ping');
		
		if ($response) {
			list($version, $url) = split(' ', $response);
			
			if ($version == $its_version) {
				$return = __("iTunesSpy is <strong>up to date</strong>.", 'wp-itunesspy');
			} elseif ($_version < $its_version) {
				$return = __("iTunesSpy is <strong>newer</strong> than the latest released version!", 'wp-itunesspy');
			} else {
				$return = __("A <strong>new version</strong> of iTunesSpy is available! Download it <a href=\"%download\">here</a>.", 'wp-itunesspy');
				$return = str_replace ("%download", $url, $return);
			}
		} else {
			$return = __('Could not connect to update server. Please try again later.', 'wp-itunesspy');
		}
		return $return;
	}
}

?>